Subject: Re: bug#29077: 26.0; NEWS: "Values in call stack frames are now displayed using `cl-prin1'"

From: Noam Postavsky <[email-masked]>
Date: Tue, 31 Oct 2017 18:56:28 -0400

Drew Adams <[email-masked]> writes:

>> Ah, I put :type 'function and :options '(cl-prin1 prin1), but apparently
>> this doesn't actually have any effect in the customize buffer.  Do you
>> know how to fix this?
>
> Not really. Maybe there is no good solution. As (elisp) node
> `Variable Definitions' says about `:options':
>
>   This is meaningful only for certain types, currently including
>   'hook', 'plist' and 'alist'.  See the definition of the individual
>   types for a description of how to use ':options'.
>
> You could use `choice', like this:
>
> (defcustom foo 'cl-prin1
>   "..."
>   :type '(choice
>           (const cl-prin1)
>           (const prin1)
>           function)

Looks reasonable. 

>   :group 'convenience)

Did you mean to put this in?  I don't see very many uses of :group
'convenience, and most are in defgroup forms.

> If you use larger list elements then you will see that
> the list gets truncated.
>
> (defun return-a-large-list ()
>   (let ((lst  ()))
>     (dotimes (ii 5)
>       (push ctl-x-map lst))
>     lst))

Hmm, nope not seeing it.  Do you get this from 'emacs -Q'?  As far as I
can tell, there is nothing in cl-print.el that would perform truncation.